List Consumers
curl --request GET \
--url https://api.apitally.io/v1/apps/{app_id}/consumers \
--header 'Api-Key: <api-key>'import requests
url = "https://api.apitally.io/v1/apps/{app_id}/consumers"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.apitally.io/v1/apps/{app_id}/consumers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"identifier": "user-123",
"name": "John Doe",
"group": {
"id": 1,
"name": "Admin"
},
"created_at": "2023-11-07T05:31:56Z",
"last_request_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_token": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Endpoints
List Consumers
List API consumers for an app. Ordered by ID (descending). With pagination.
GET
/
v1
/
apps
/
{app_id}
/
consumers
List Consumers
Authorizations
Path Parameters
App ID
Required range:
x >= 1Query Parameters
Filter to consumers that have made requests since the given date and time in ISO 8601 format, if given.
Example:
"2025-05-14T00:00:00Z"
Token to fetch the next page of consumers, as returned by a previous request.
Maximum string length:
1024Maximum number of consumers to return.
Required range:
1 <= x <= 1000